## krb5 1.10+dfsg~beta1

=== windows/installer/wix/Makefile ===

# Build language
LANG=1033

# Program macros
CANDLE=candle -nologo

LIGHT=light -nologo

CD=cd

RM=del

MAKE=nmake -nologo


# Targets

OUTPATH=.

OBJFILE=$(OUTPATH)\kfw.wixobj

MSIFILE=$(OUTPATH)\kfw.msi

WIXINCLUDES= \
	config.wxi \
	features.wxi \
	files.wxi \
	property.wxi \
	runtime.wxi \
	site-local.wxi \
	lang\strings_$(LANG).wxl \
	lang\ui_$(LANG).wxi \
	lang\config_$(LANG).wxi

CUSTOMDLL=custom\custom.dll

all: $(MSIFILE)

$(OBJFILE): kfw.wxs $(WIXINCLUDES)
	$(CANDLE) -out $@ kfw.wxs \
		"-dDate=%DATE%" \
		"-dTime=%TIME%" \
		-dBuildLang=$(LANG)

$(MSIFILE): $(OBJFILE) $(CUSTOMDLL)
	$(LIGHT) -out $@ $(OBJFILE) \
		-loc lang\strings_$(LANG).wxl

$(CUSTOMDLL): custom\custom.cpp
	$(CD) custom
	$(MAKE) -f custom.cpp
	$(CD) ..

clean:
	$(RM) $(OBJFILE)
	$(RM) $(MSIFILE)
	$(CD) custom
	$(MAKE) -f custom.cpp clean
	$(CD) ..

=== debian/changelog ===
krb5 (1.10+dfsg~beta1-2ubuntu0.3) precise-security; urgency=low

  * SECURITY UPDATE: KDC heap corruption and crash vulnerabilities
    - debian/patches/MITKRB5-SA-2012-001.patch: initialize pointers both
      at allocation and assignment time
    - CVE-2012-1015, CVE-2012-1014
  * SECURITY UPDATE: denial of service in kadmind (LP: #1009422)
    - debian/patches/krb5-CVE-2012-1013.patch: check for null password
    - CVE-2012-1013
  * SECURITY UPDATE: insufficient ACL checking on get_strings/set_string
    - debian/patches/krb5-CVE-2012-1012.patch: make the access
      controls for get_strings/set_string mirror those of
      get_principal/modify_principal
    - CVE-2012-1012

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 26 Jul 2012 14:29:35 -0700

krb5 (1.10+dfsg~beta1-2ubuntu0.2) precise-proposed; urgency=low

  * Re-introduce libkrb53 as a transitional package to libkrb5-3.
    Also revert the Conflicts against libkrb53 to the old versioned
    Break/Replaces. (LP: #1007314)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Jul 2012 17:41:48 -0400

krb5 (1.10+dfsg~beta1-2ubuntu0.1) precise-proposed; urgency=low

  * debian/patches/preauth-context.patch: fix preauth context initialisation
    (LP: #988520).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 15 May 2012 02:33:57 +0000

krb5 (1.10+dfsg~beta1-2) unstable; urgency=low

  * Oops, actually fix build flags, Closes: #655248

 -- Sam Hartman <hartmans@debian.org>  Fri, 13 Jan 2012 17:39:34 -0500

krb5 (1.10+dfsg~beta1-1) unstable; urgency=low

  * New Upstream version
  * Fix hardening flags and pre-dpkg-buildflags support, Closes: #655248
  * Update some symbols files for enhanced functions in 1.10

 -- Sam Hartman <hartmans@debian.org>  Fri, 13 Jan 2012 17:11:39 -0500

krb5 (1.10+dfsg~alpha2-1) unstable; urgency=low

  * New upstream Version

 -- Sam Hartman <hartmans@debian.org>  Tue, 27 Dec 2011 06:02:35 -0500

krb5 (1.10+dfsg~alpha1-7) unstable; urgency=high

  * Merge in github/krb5-1-10 branch up through 12/16/2010: many new
    upstream changes
  * Includes fix for MITKRB5-SA-2011-007 KDC null pointer
    dereference in TGS handling [CVE-2011-1530]
    , Closes: #651226

 -- Sam Hartman <hartmans@debian.org>  Fri, 16 Dec 2011 15:30:18 -0500

krb5 (1.10+dfsg~alpha1-6) unstable; urgency=low

  * Fix segfault with unknown hostnames in krb5_sname_to_principal,
    Closes: #650671
  * Indicate that this library breaks libsmbclient versions that depend on
    krb5_locate_kdc, Closes: #650603, #650611

 -- Sam Hartman <hartmans@debian.org>  Thu, 01 Dec 2011 19:34:41 -0500

krb5 (1.10+dfsg~alpha1-5) unstable; urgency=low

  * Add texinfo back to build depends: policy has been subverted by the
    evil forces of wishful thinking and forward progress

 -- Sam Hartman <hartmans@debian.org>  Wed, 30 Nov 2011 09:09:55 -0500

krb5 (1.10+dfsg~alpha1-4) unstable; urgency=low

  * Add kadmind and krb5kdc pidfiles, Closes: #550781
  * Respect locale in time display, Closes: #138430
  * Status action for init scripts, Thanks Yukio Shiiya, Closes: #645363,
    #645364
  * Fix dependencies for krb5-kdc
  * Add dpkg-buildflags support
  * Initial build-arch and build-indep support: currently build-indep
    depends on build-arch but that's OK as a starting point

 -- Sam Hartman <hartmans@debian.org>  Tue, 29 Nov 2011 20:34:03 -0500

krb5 (1.10+dfsg~alpha1-3) unstable; urgency=low

  * Build depend on pkg-config


 -- Sam Hartman <hartmans@debian.org>  Tue, 29 Nov 2011 17:35:48 -0500

krb5 (1.10+dfsg~alpha1-2) unstable; urgency=low

  * LDAP plugin depends on ldap library for parallel builds

 -- Sam Hartman <hartmans@debian.org>  Tue, 29 Nov 2011 17:35:30 -0500

krb5 (1.10+dfsg~alpha1-1) unstable; urgency=low

  * New upstream release
  
    - mit-krb5-sa-2011-006, Closes: #646367
    - Install k5login.5 not just .k5login.5, Closes: #623068
      - Fixes LDAP file descriptor leak, Closes: #561176
  * Updated translations:
      - French, Thanks Christian Perrier, Closes: #630827
      - Catalan, Thanks Innocent De Marchi, Closes: #632208
    * Update to krb5-1-10 branch of 2011-11-28

 -- Sam Hartman <hartmans@debian.org>  Tue, 29 Nov 2011 13:05:17 -0500

krb5 (1.9.1+dfsg-3) unstable; urgency=low

  * New function gss_localname from trunk

 -- Sam Hartman <hartmans@debian.org>  Wed, 21 Sep 2011 16:53:47 -0400

krb5 (1.9.1+dfsg-2) unstable; urgency=low

  * Revert incorrect Danish translations
  * Multiarch support, Thanks Steve  Langasek, Closes: #634121
  * Use linux-any in debian/control instead of explicit exclusions,
    Closes: #634311
  * Apply upstream r24977 in order to fix problems where a name exists
    for v6 but not v4, Closes: #532536
  * Apply upstream tickets 6916 and 6917 to fi x referrals behavior with
    old KDCs, Closes: #631106

 -- Sam Hartman <hartmans@debian.org>  Tue, 09 Aug 2011 11:52:04 -0400

krb5 (1.9.1+dfsg-1) unstable; urgency=low

  * New upstream version
  * Fix g_make_token_header when no token type is passed
  * Support absolute paths for GSS-API mechanisms
  * Add gss_authorize_localname, gss_userok,  gss_pname_to_uid
  * Fix gss_acquire_cred handling with empty mech set; fix
    accept_sec_context handling in this case too
  * Permit importing anonymous name with empty buffer
      * New Translations:
    - Dutch: Thanks  Vincent Zweije, Closes: #624173
    - Danish, Thanks  Joe Dalton, Closes: #626530
  * Fix kadmin free of null pointer on change password, Closes: #622681

 -- Sam Hartman <hartmans@debian.org>  Thu, 02 Jun 2011 10:57:10 -0400

krb5 (1.9+dfsg-2) unstable; urgency=low

  * In the interest of testing other GSS-API mechanisms it is desirable to
    install the gss-server and gss-client application. These are useful to
    people developing new GSS-API mechanisms within Debian.

 -- Sam Hartman <hartmans@debian.org>  Wed, 04 May 2011 16:07:42 -0400

krb5 (1.9+dfsg-1) unstable; urgency=low

  * New upstream version
  *  Pull in krb5 1.9 branch as of 03/16/2011


=== debian/control ===
Source: krb5
Section: net
Priority: standard
Build-Depends: debhelper (>= 8.1.3), byacc | bison,
 comerr-dev, docbook-to-man,
 libkeyutils-dev [linux-any], libldap2-dev,
 libncurses5-dev, libssl-dev, ss-dev, 
 libverto-dev, pkg-config, texinfo
Build-Depends-Indep: texinfo
Standards-Version: 3.9.1
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Russ Allbery <rra@debian.org>
Homepage: http://web.mit.edu/kerberos/
VCS-Git: git://git.debian.org/git/pkg-k5-afs/debian-krb5.git
VCS-Browser: http://git.debian.org/?p=pkg-k5-afs/debian-krb5.git

Package: krb5-user
Architecture: any
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
  krb5-config
Conflicts: heimdal-clients
Description: Basic programs to authenticate using MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the basic programs to authenticate to MIT Kerberos,
 change passwords, and talk to the admin server (to create and delete
 principals, list principals, etc.).

Package: krb5-kdc
Architecture: any
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
 libkadm5srv-mit8 (>= 1.10+dfsg~),
 krb5-config, krb5-user, lsb-base (>= 3.0-6),
Suggests: openbsd-inetd | inet-superserver, krb5-admin-server,
 krb5-kdc-ldap (= ${binary:Version})
Conflicts: krb5-doc (<= 1.6.dfsg.3-1)
Replaces: krb5-doc (<= 1.6.dfsg.3-1)
Description: MIT Kerberos key server (KDC)
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the Kerberos key server (KDC).  The KDC manages all
 authentication credentials for a Kerberos realm, holds the master keys
 for the realm, and responds to authentication requests.  This package
 should be installed on both master and slave KDCs.

Package: krb5-kdc-ldap
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, krb5-kdc (= ${binary:Version})
Description: MIT Kerberos key server (KDC) LDAP plugin
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the LDAP plugin for the Kerberos key server (KDC)
 and supporting utilities.  This plugin allows the KDC data to be stored
 in an LDAP server rather than the default local database.  It should be
 installed on both master and slave KDCs that use LDAP as a storage
 backend.

Package: krb5-admin-server
Architecture: any
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
 krb5-kdc (>= 1.10+dfsg~), lsb-base (>= 3.0-6)
Description: MIT Kerberos master server (kadmind)
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the Kerberos master server (kadmind), which handles
 account creations and deletions, password changes, and other
 administrative commands via the Kerberos admin protocol.  It also
 contains the command used by the master KDC to propagate its database to
 slave KDCs.  This package is generally only used on the master KDC for a
 Kerberos realm.

Package: krb5-multidev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkrb5-3 (= ${binary:Version}),
 libk5crypto3 (= ${binary:Version}), libgssapi-krb5-2 (= ${binary:Version}),
 libgssrpc4 (= ${binary:Version}),
 libkadm5srv-mit8  (= ${binary:Version}),
 libkadm5clnt-mit8 (= ${binary:Version}),
 comerr-dev, 
Priority: optional
Suggests: krb5-doc
Description: Development files for MIT Kerberos without Heimdal conflict
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 Most users wishing to build applications against MIT Kerberos should
 install libkrb5-dev.  However, that package conflicts with heimdal-dev.
 This package installs libraries and headers in /usr/include/mit-krb5 and
 /usr/lib/mit-krb5 and can be installed along side heimdal-multidev, which
 provides the same facilities for Heimdal.

Package: libkrb5-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, krb5-multidev (= ${binary:Version})
Replaces: krb5-multidev (<< 1.8+dfsg~alpha1-3)
Conflicts: heimdal-dev
Priority: extra
Suggests: krb5-doc
Description: Headers and development libraries for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the symlinks, headers, and development libraries
 needed to compile and link programs that use the Kerberos libraries.

Package: libkrb5-dbg
Architecture: any
Depends: ${misc:Depends}, libkrb5-3 (= ${binary:Version})
 | libk5crypto3 (= ${binary:Version})
 | libkrb5support0 (= ${binary:Version})
Priority: extra
Section: debug
Multi-Arch: same
Description: Debugging files for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the debugging information for the MIT Kerberos
 libraries.  Install this package if you need to trace problems inside the
 MIT Kerberos libraries with a debugger.

Package: krb5-pkinit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version})
Suggests: opensc
Replaces: libkrb53 (<= 1.6.dfsg.3~beta1-1)
Priority: extra
Multi-Arch: same
Description: PKINIT plugin for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains a plugin for the PKINIT protocol, which allows
 Kerberos tickets to be obtained using public-key credentials such as
 X.509 certificates or a smart card.  This plugin can be used by the
 client libraries and the KDC.  

Package: krb5-doc
Architecture: all
Priority: optional
Conflicts: heimdal-docs
Section: doc
Depends: ${misc:Depends}
Description: Documentation for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the installation, administrator, and user reference
 manuals for MIT Kerberos and the man pages for the MIT Kerberos
 configuration files.

Package: libkrb5-3
Section: libs
Replaces: libkrb53 (<<1.6.dfsg.4~beta1-7)
Breaks: libkrb53 (<< 1.6.dfsg.4~beta1-9 ),
 sssd (<= 1.2.1-4.3), libsmbclient (<= 2:3.6.1-2)
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libkrb5support0 (= ${binary:Version})
Suggests: krb5-doc, krb5-user
Recommends: krb5-locales
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the runtime library for the main Kerberos v5 API
 used by applications and Kerberos clients.

Package: libgssapi-krb5-2
Section: libs
Replaces: libkrb53 (<<1.6.dfsg.4~beta1-7)
Breaks: libkrb53 (<< 1.8)
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version})
Suggests: krb5-doc, krb5-user
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the runtime library for the MIT Kerberos
 implementation of GSS-API used by applications and Kerberos clients.

Package: libgssrpc4
Section: libs
Conflicts: libkadm55
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: krb5-doc, krb5-user
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries - GSS enabled ONCRPC
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains an RPC library used by the Kerberos administrative
 programs and potentially other applications.

Package: libkadm5srv-mit8
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: krb5-doc, krb5-user
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries - KDC and Admin Server
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the runtime library used by Kerberos administrative
 servers.

Package: libkadm5clnt-mit8
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: krb5-doc, krb5-user
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries - Administration Clients
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a

=== debian/rules ===
#!/usr/bin/make -f
# Based on sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

SHELL=/bin/bash
export SHELL

# Tell Autoconf the correct system types.  Needed for cross builds.
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    SYSTEM = --build $(DEB_HOST_GNU_TYPE)
    CACHE  =
else
    SYSTEM = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
    CACHE  = --cache-file=$(DEB_HOST_GNU_TYPE).cache
endif

export DEB_HOST_MULTIARCH

CCOPTS=-g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CCOPTS +=-O0
else
    CCOPTS +=-O2
endif

ifneq (,$(filter i486-linux-gnu x86_64-linux-gnu,$(DEB_HOST_GNU_TYPE)))
    CCOPTS +=-D_FORTIFY_SOURCE=2 -fstack-protector
    endif
FLAGS=$(shell if res=`dpkg-buildflags --export=configure `; then echo $$res; else echo   CFLAGS="$(CCOPTS)"; fi)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# The flags to pass to dh_install specifying the upstream files to exclude.
# We use --fail-missing to be sure we catch any new upstream files, so be
# sure to update this list if upstream adds any more files we don't want.
EXCLUDE = -Xtmac.doc -Xexamples/krb5 -Xgnats/mit -Xkrb5-send-pr \
	-Xsserver -Xsim_server -Xuuserver \
	-Xsclient -Xsim_client -Xuuclient

LIB_PACKAGES = libkrb5-3 libgssapi-krb5-2 libkadm5clnt-mit8 libkadm5srv-mit8 libkdb5-6 libgssrpc4  \
	libkrb5support0  libk5crypto3 

# We touch each configure and Autoconf-related file so that we do not attempt
# to use Autoconf.  The cache is used by the Embdebian project for cross
# compiles.
configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir -p build
	find src -name configure -print | xargs touch
	find src \( -name \*hin -o -name \*.h.in -o -name \*.stmp \) -print \
		| xargs touch
	[ ! -f $(DEB_HOST_GNU_TYPE).cache ] \
		|| cp $(DEB_HOST_GNU_TYPE).cache build/
	cd build && $(FLAGS) ../src/configure  \
		--prefix=/usr --localstatedir=/etc --mandir=/usr/share/man \
		--with-system-et --with-system-ss --disable-rpath  \
		--enable-shared --with-ldap --without-tcl \
	--with-system-verto \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		$(SYSTEM) $(CACHE)
	touch configure-stamp

# Build the info pages in a separate directory, since otherwise we'll
# overwrite the info pages provided upstream and then debian/rules clean won't
# get back to a virgin copy of the package.
build: build-arch build-indep

build-arch: build-stamp

build-indep: build-indep-stamp

build-stamp: configure-stamp
	cd build && $(MAKE) $(NUMJOBS) all
	touch build-stamp

build-indep-stamp: build-stamp
	-mkdir build/info
	cd build/info && makeinfo ../../doc/admin.texinfo
	cd build/info && makeinfo ../../doc/install.texinfo
	cd build/info && makeinfo ../../doc/user-guide.texinfo
	touch build-indep-stamp

clean:
	dh_testdir
	-rm -rf build
	dh_clean build-stamp configure-stamp build-indep-stamp

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	set -e; for file in krb5-kdc.dirs krb5-multidev.dirs krb5-multidev.links \
	            krb5-multidev.install libkrb5-3.dirs libkrb5-dev.dirs; \
	do \
		sed -e"s,\$${DEB_HOST_MULTIARCH},${DEB_HOST_MULTIARCH},g" \
			debian/$${file}.in > debian/$$file; \
	done
	dh_installdirs

	cd build && $(MAKE) install DESTDIR=`pwd`/../debian/tmp
	install -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/krb5 $(CURDIR)/debian/tmp/etc/insserv/overrides
	install -m644 debian/krb5-kdc-ldap.insserv-override debian/tmp/etc/insserv/overrides/krb5-kdc
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libkdb_ldap* \
	    $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/krb5/
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/krb5/libkdb_ldap*.so

	install -m644 src/util/ac_check_krb5.m4 \
		debian/libkrb5-dev/usr/share/aclocal

	dh_install --sourcedir=debian/tmp --fail-missing $(EXCLUDE)
	set -e ; find debian/krb5-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5 -type l -name \*.so -print |\
		while read linkname; do \
		ln -s -f ../`readlink $$linkname` \
		$$linkname; \
	done
		for dir in include lib/$(DEB_HOST_MULTIARCH); do \
		(cd debian/krb5-multidev/usr/$$dir/mit-krb5 && \
		find . -type d -print ) | (cd debian/libkrb5-dev/usr/$$dir && \
		xargs mkdir -p); \
		(cd debian/krb5-multidev/usr/$$dir/mit-krb5 && find . \( -type f -o -type l \) -print ) | \
		(cd debian/libkrb5-dev/usr/$$dir && xargs -I+ ln -s /usr/$$dir/mit-krb5/+ +) ; \
		done
	# however we will handle libkadm5{srv,clnt.so} in dh_link
# because they actually point to the current level not one level up
	rm -f debian/krb5-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5/libkadm5{clnt,srv}.so


	docbook-to-man debian/krb5_newrealm.sgml \
		> debian/krb5-admin-server/usr/share/man/man8/krb5_newrealm.8
	install -o root -g root -m 755 debian/krb5_newrealm \
		debian/krb5-admin-server/usr/sbin
	install -o root -g root -m 644 debian/kdc.conf \
		debian/krb5-kdc/usr/share/krb5-kdc/kdc.conf.template
	ln -s /usr/share/krb5-kdc/kdc.conf.template \
		debian/krb5-kdc/usr/share/doc/krb5-kdc/examples/kdc.conf

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build-indep  install
	dh_testdir
	dh_testroot
	dh_installchangelogs  -Xdoc/CHANGES
	dh_installchangelogs -pkrb5-doc -k doc/CHANGES
	dh_installdocs
	dh_installinfo
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.  Strip
# library packages  separately and save the debug information for the
# libkrb5-dbg package.  This method strips the libraries in those packages
# twice, but that should be harmless and all other ways of doing this seem
# uglier.
binary-arch: build-arch install
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs  -Xdoc/CHANGES
	dh_installdocs
	dh_installdebconf
	dh_installinit -- defaults 18 18
	dh_lintian
	set -e ; for pkg in $(LIB_PACKAGES) ; do \
		DH_OPTIONS="" dh_strip -p$$pkg --dbg-package=libkrb5-dbg; \
		DH_OPTIONS="" dh_makeshlibs -p$$pkg -Xusr/lib/$(DEB_HOST_MULTIARCH)/krb5/plugins -- -c4 ; \
	done
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	chmod u+s debian/krb5-user/usr/bin/ksu
	chmod 700 debian/krb5-kdc/var/lib/krb5kdc
	chmod 700 debian/krb5-kdc/etc/krb5kdc
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean configure binary-indep binary-arch binary install

## krb5 1.10.1+dfsg

=== debian/changelog ===
krb5 (1.10.1+dfsg-5+deb7u9) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2013-1418: denial-of-service (NULL pointer dereference and daemon
    crash via a crafted request.
  * Fix CVE-2014-5351: krb5 sends old keys in a response to a -randkey -keepold
    request, which allows remote authenticated users to forge tickets by
    leveraging administrative access
  * Fix CVE-2014-5353: allows remote authenticated users to cause a denial of
    service (daemon crash) via a successful LDAP query with no results, as
    demonstrated by using an incorrect object type for a password policy.
  * Fix CVE-2014-5355: allows remote attackers to cause a denial of service
    (NULL pointer dereference) via a zero-byte version string or cause a
    out-of-bounds read.
  * Fix CVE-2016-3119: allows remote authenticated users to cause a denial of
    service (NULL pointer dereference and daemon crash) via a crafted request to
    modify a principal.
  * Fix CVE-2016-3120: allows remote authenticated users to cause a denial of
    service (NULL pointer dereference and daemon crash) via an S4U2Self request.

 -- Markus Koschany <apo@debian.org>  Wed, 31 Jan 2018 14:25:37 +0100

krb5 (1.10.1+dfsg-5+deb7u8) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2017-11368: Invalid S4U2Self or S4U2Proxy request causes assertion
    failure

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 07 Aug 2017 16:47:08 -0300

krb5 (1.10.1+dfsg-5+deb7u7) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Verify decoded kadmin C strings [CVE-2015-8629]
    CVE-2015-8629: An authenticated attacker can cause kadmind to read
    beyond the end of allocated memory by sending a string without a
    terminating zero byte. Information leakage may be possible for an
    attacker with permission to modify the database. (Closes: #813296)
  * Fix leaks in kadmin server stubs [CVE-2015-8631]
    CVE-2015-8631: An authenticated attacker can cause kadmind to leak
    memory by supplying a null principal name in a request which uses one.
    Repeating these requests will eventually cause kadmind to exhaust all
    available memory. (Closes: #813126)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 31 Jan 2016 13:39:43 +0100

krb5 (1.10.1+dfsg-5+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Update 0036-Fix-build_principal-memory-bug-CVE-2015-2697.patch.
    Add check on rlen before doing memcpy.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 12 Nov 2015 21:09:56 +0100

krb5 (1.10.1+dfsg-5+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add missing 0036-Fix-build_principal-memory-bug-CVE-2015-2697.patch.
    CVE-2015-2697: unsafe string handling in TGS processing.
    The previous wheezy-security upload mentioned the fix, but did not
    include the patch in the upload.
    Thanks to Marc Deslauriers (Closes: #803088)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 11 Nov 2015 22:05:19 +0100

krb5 (1.10.1+dfsg-5+deb7u4) wheezy-security; urgency=high

  * Import upstream patches for four CVEs:
    - CVE-2015-2695: SPNEGO context aliasing during establishment,
      Closes: #803083
    - CVE-2015-2696: IAKERB context aliasing during establishment,
      Closes: #803084
    - CVE-2015-2697: unsafe string handling in TGS processing,
      Closes: #803088
    - CVE-2015-2698: regression (memory corruption) in patch for CVE-2015-2696
  * In addition to CVE-2015-2698, the upstream patches for CVE-2015-2695
    and CVE-2015-2696 introduced regressions preventing the use of
    gss_import_sec_context() with contexts established using IAKERB
    or SPNEGO; the fixes for those regressions are included here.

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 27 Oct 2015 00:34:53 -0400

krb5 (1.10.1+dfsg-5+deb7u3) stable-security; urgency=high

  * MITKRB5-SA-2015-001
    - CVE-2014-5352: gss_process_context_token() incorrectly frees context
    - CVE-2014-9421: kadmind doubly frees partial deserialization results
    - CVE-2014-9422: kadmind incorrectly validates server principal name
    - CVE-2014-9423: libgssrpc server applications leak uninitialized bytes



 -- Sam Hartman <hartmans@debian.org>  Tue, 03 Feb 2015 10:50:31 -0500

krb5 (1.10.1+dfsg-5+deb7u2) stable-security; urgency=high

  * Apply upstream patches for several issues:
    - CVE-2014-4341: denial of service due to improper GSSAPI message
      validation, Closes: #753624
    - CVE-2014-4342: denial of service due to improper GSSAPI message
      validation, Closes: #753625
    - CVE-2014-4343: double-free in SPNEGO initiator during renegotiation,
      Closes: #755520
    - CVE-2014-4344: NULL dereference in SPNEGO acceptor, Closes: #755521
    - CVE-2014-4345 [MITKRB5-SA-2014-001]: buffer overrun in kadmind with
      LDAP backend, Closes: #757416

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 08 Aug 2014 12:12:09 -0400

krb5 (1.10.1+dfsg-5+deb7u1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2002-2443: denial-of-service issue due to improper UDP packet
    validation (closes: #708267).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 30 May 2013 01:03:26 +0000

krb5 (1.10.1+dfsg-5) unstable; urgency=high

  * Import workaround for getaddrinfo bug from upstream.  Described in
    upstream's RT 7124, Closes: #704647
  * Correct CVE number for CVE-2012-1016 in changelog and patches, Closes:
    #703457
  * Import upstream's fix for CVE-2013-1416, Closes: #704775

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 05 Apr 2013 14:36:50 -0400

krb5 (1.10.1+dfsg-4+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2012-1016: null pointer derefence when handling a draft9 request
    (closes: #702633).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 15 Mar 2013 04:15:27 +0000

krb5 (1.10.1+dfsg-4) unstable; urgency=high



=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
  libverto-dev, pkg-config, texinfo
 Build-Depends-Indep: texinfo
 Standards-Version: 3.9.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sam Hartman <hartmans@debian.org>
+Maintainer: Sam Hartman <hartmans@debian.org>
 Uploaders: Russ Allbery <rra@debian.org>
 Homepage: http://web.mit.edu/kerberos/
 VCS-Git: git://git.debian.org/git/pkg-k5-afs/debian-krb5.git
@@ -162,7 +161,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version})
 Suggests: opensc
-Replaces: libkrb53 (<= 1.6.dfsg.3~beta1-1)
 Priority: extra
 Multi-Arch: same
 Description: PKINIT plugin for MIT Kerberos
@@ -198,13 +196,12 @@
 
 Package: libkrb5-3
 Section: libs
-Replaces: libkrb53 (<<1.6.dfsg.4~beta1-7)
-Breaks: libkrb53 (<< 1.6.dfsg.4~beta1-9 ),
- sssd (<= 1.2.1-4.3), libsmbclient (<= 2:3.6.1-2)
+Breaks:  sssd (<= 1.2.1-4.3), libsmbclient (<= 2:3.6.1-2)
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  libkrb5support0 (= ${binary:Version})
 Suggests: krb5-doc, krb5-user
+Conflicts: libkrb53
 Recommends: krb5-locales
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -221,13 +218,12 @@
 
 Package: libgssapi-krb5-2
 Section: libs
-Replaces: libkrb53 (<<1.6.dfsg.4~beta1-7)
-Breaks: libkrb53 (<< 1.8)
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version})
 Suggests: krb5-doc, krb5-user
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: libgssglue1 (<< 0.2-2)
 Description: MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
  Kerberos is a system for authenticating users and services on a network.
  Kerberos is a trusted third-party service.  That means that there is a
@@ -286,3 +282,8 @@
 Description: MIT Kerberos runtime libraries - Administration Clients
  Kerberos is a system for authenticating users and services on a network.
  Kerberos is a trusted third-party service.  That means that there is a
+ third party (the Kerberos server) that is trusted by all the entities on
+ the network (users and services, usually called "principals").
+ .
+ This is the MIT reference implementation of Kerberos V5.
+ .

## krb5 1.12%2Bdfsg

=== debian/changelog ===
krb5 (1.12+dfsg-2ubuntu4) trusty; urgency=low

  * Add transitional libkadm5srv-mit8 package to help libapt
    calculating the upgrade (LP: #1304403) to trusty. 
    This transitional package can be dropped once trusty is
    released.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 09 Apr 2014 11:11:43 +0200

krb5 (1.12+dfsg-2ubuntu3) trusty; urgency=medium

  * Add missing versioned Replaces: libkadm5srv-mit8 to the libkdb5-7 package.
    Fixes upgrades from trusty. (LP: #1304403)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Apr 2014 18:04:14 +0200

krb5 (1.12+dfsg-2ubuntu2) trusty; urgency=medium

  * debian/rules: force -O2 to work around build failure with -O3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 17 Feb 2014 08:50:33 +0000

krb5 (1.12+dfsg-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add alternate dependency on libverto-libevent1 as that's the
      package ABI name in ubuntu.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 04 Feb 2014 14:29:23 +0200

krb5 (1.12+dfsg-2) unstable; urgency=low

  * Split out libkrad-dev into its own package, Closes: #735323

 -- Sam Hartman <hartmans@debian.org>  Mon, 27 Jan 2014 09:29:42 -0500

krb5 (1.12+dfsg-1) experimental; urgency=low

  [ Benjamin Kaduk ]
  * New upstream release (closes: #730085, #728845, #637662, #729291).
  * Update HURD compatibility patch (closes: #729191).
  * Move pkgconfig files to krb5-multidev and avoid conflicts with
    heimdal (closes: #730267).
    
 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 02 Dec 2013 12:25:43 -0500

krb5 (1.12~alpha1+dfsg-1) experimental; urgency=low

  [ Benjamin Kaduk ]
  * New upstream release, Closes: #694988, #697954
  * Build-depend on python-lxml, Closes: #725596
  * Remove Debian versions from symbols
  * Add myself to uploaders

  [ Sam Hartman ]
  * Build-depend on libverto-dev 0.2.4 to get verto_set_flags

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 28 Oct 2013 16:12:52 -0400

krb5 (1.11.3+dfsg-3+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add python-lxml build dependency (closes: #725596).
  * Fix cve-2013-1417: KDC daemon crash condition (closes: #730085).
  * Fix cve-2013-1418: null pointer dereference issue (closes: #728845).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 16 Nov 2013 23:40:00 +0000

krb5 (1.11.3+dfsg-3ubuntu2) trusty; urgency=low

  * Add alternate dependency on libverto-libevent1 as that's the package
    ABI name in ubuntu.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 02:20:12 +0000

krb5 (1.11.3+dfsg-3ubuntu1) trusty; urgency=low

  * Add build dependency on python-lxml. Closes: #725596.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Oct 2013 18:47:25 +0200

krb5 (1.11.3+dfsg-3) unstable; urgency=low


  [ Benjamin Kaduk ]
  * Update config.sub and config.guess, patch from upstream, Closes: #717840
  * Update Brazillian Portugese Translation, thanks Fernando Ike,
    Closes: #719726
  * Bump the version of the gssrpc_clnt_create symbol.  The routine itself
    was changed in a backwards-compatible way, but callers from the kadm5
    libraries were changed to rely on the new behavior, Closes: #718275
  * Add symbols files for the kadm5 libraries.  The KADM5 API version number
    was increased for the 1.11 release but the corresponding library sonames
    were not, so we must indicate the behavior change ourself, Closes: #716772

  [ Sam Hartman ]
  * krb5-kdc depends on libverto-libev1, work around for #652699
  * Remove krb5-kdc conflict since it's more than one release cycle old
  * Add Benjamin Kaduk to uploaders

 -- Sam Hartman <hartmans@debian.org>  Sun, 25 Aug 2013 16:48:53 -0400

krb5 (1.11.3+dfsg-2) experimental; urgency=low

  * Run autoreconf to update configure based on aclocal patch

 -- Sam Hartman <hartmans@debian.org>  Sat, 08 Jun 2013 22:00:50 -0400

krb5 (1.11.3+dfsg-1) experimental; urgency=low

  *  New upstream version
      - Turns out 1.11.2+dfsg didn't include the pingpong fix, but this
    does , Closes: #

 -- Sam Hartman <hartmans@debian.org>  Fri, 07 Jun 2013 21:31:03 -0400

krb5 (1.11.2+dfsg-2) experimental; urgency=low

  * Import upstream's patch to not warn or error on variadic macros,
    Closes: #709824

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 25 May 2013 16:06:48 -0400

krb5 (1.11.2+dfsg-1) experimental; urgency=low

  * New upstream version, Closes: #697662
      - By not depending on texinfo, we avoid FTBFSing from its changes,
      Closes: #708711
  * Fix "usage of keytabs gives "Generic preauthentication failure while
    getting initial credentials"" via upstream change to prefer keys in
    the keytab
    (Closes: #698534)
  * Fixed upstream "kerberos password policy attributes missing from
    kerberos.schema"  (Closes:
    #655381)
  * Remove arch-dep and arch-indep dependency in rules  (Closes: #708973)

 -- Sam Hartman <hartmans@debian.org>  Thu, 23 May 2013 21:56:23 -0400

krb5 (1.10.1+dfsg-5) unstable; urgency=low

  * Import workaround for getaddrinfo bug from upstream.  Described in
    upstream's RT 7124, addresses the main concern of #697662
  * Correct CVE number for CVE-2012-1016 in changelog and patches, Closes:
    #703457

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 25 Mar 2013 11:50:07 -0400

## krb5 1.12%2bdfsg

=== debian/changelog ===
krb5 (1.12+dfsg-2ubuntu5.2) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via incorrect null bytes
    - d/p/0030-Fix-krb5_read_message-handling-CVE-2014-5355.patch:
      properly handle null bytes in src/appl/user_user/server.c,
      src/lib/krb5/krb/recvauth.c.
    - CVE-2015-5355
  * SECURITY UPDATE: preauthentication requirement bypass in kdcpreauth
    - d/p/0031-Prevent-requires_preauth-bypass-CVE-2015-2694.patch:
      improve logic in src/plugins/preauth/otp/main.c,
      src/plugins/preauth/pkinit/pkinit_srv.c.
    - CVE-2015-2694
  * SECURITY UPDATE: SPNEGO context aliasing bugs
    - d/p/0031-Fix-SPNEGO-context-aliasing-bugs-CVE-2015-2695.patch:
      improve logic in src/lib/gssapi/spnego/gssapiP_spnego.h,
      src/lib/gssapi/spnego/spnego_mech.c.
    - d/p/0036-Fix-SPNEGO-context-import.patch: fix SPNEGO context import
      in src/lib/gssapi/spnego/spnego_mech.c.
    - CVE-2015-2695
  * SECURITY UPDATE: IAKERB context aliasing bugs
    - d/p/0032-Fix-IAKERB-context-aliasing-bugs-CVE-2015-2696.patch:
      improve logic in src/lib/gssapi/krb5/gssapiP_krb5.h,
      src/lib/gssapi/krb5/gssapi_krb5.c, src/lib/gssapi/krb5/iakerb.c.
    - d/p/0034-Fix-two-IAKERB-comments.patch: fix comments in
      src/lib/gssapi/krb5/iakerb.c.
    - CVE-2015-2696
  * SECURITY UPDATE: KDC crash via invalid string processing
    - d/p/0033-Fix-build_principal-memory-bug-CVE-2015-2697.patch:
      use k5memdup0() instead of strdup() in src/lib/krb5/krb/bld_princ.c.
    - CVE-2015-2697
  * SECURITY UPDATE: memory corruption in IAKERB context export/import
    - d/p/0035-Fix-IAKERB-context-export-import-CVE-2015-2698.patch:
      dereferencing the context_handle pointer before casting it in
      and implement implement an IAKERB gss_import_sec_context() function
      in src/lib/gssapi/krb5/gssapiP_krb5.h,
      src/lib/gssapi/krb5/gssapi_krb5.c, src/lib/gssapi/krb5/iakerb.c.
    - CVE-2015-2698

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Nov 2015 09:08:08 -0500

krb5 (1.12+dfsg-2ubuntu5.1) trusty-security; urgency=medium

  * SECURITY UPDATE: ticket forging via old keys
    - debian/patches/CVE-2014-5321.patch: return only new keys in
      src/lib/kadm5/srv/svr_principal.c.
    - CVE-2014-5321
  * SECURITY UPDATE: use-after-free and double-free memory access
    violations
    - debian/patches/CVE-2014-5352.patch: properly handle context deletion
      in src/lib/gssapi/krb5/context_time.c,
      src/lib/gssapi/krb5/export_sec_context.c,
      src/lib/gssapi/krb5/gssapiP_krb5.h,
      src/lib/gssapi/krb5/gssapi_krb5.c,
      src/lib/gssapi/krb5/inq_context.c,
      src/lib/gssapi/krb5/k5seal.c,
      src/lib/gssapi/krb5/k5sealiov.c,
      src/lib/gssapi/krb5/k5unseal.c,
      src/lib/gssapi/krb5/k5unsealiov.c,
      src/lib/gssapi/krb5/lucid_context.c,
      src/lib/gssapi/krb5/prf.c,
      src/lib/gssapi/krb5/process_context_token.c,
      src/lib/gssapi/krb5/wrap_size_limit.c.
    - CVE-2014-5352
  * SECURITY UPDATE: denial of service via LDAP query with no results
    - debian/patches/CVE-2014-5353.patch: properly handle policy name in
      src/plugins/kdb/ldap/libkdb_ldap/ldap_pwd_policy.c.
    - CVE-2014-5353
  * SECURITY UPDATE: denial of service via database entry for a keyless
    principal
    - debian/patches/CVE-2014-5354.patch: support keyless principals in
      src/plugins/kdb/ldap/libkdb_ldap/ldap_principal2.c.
    - CVE-2014-5354
  * SECURITY UPDATE: denial of service or code execution in kadmind XDR
    data processing
    - debian/patches/CVE-2014-9421.patch: fix double free in
      src/lib/kadm5/kadm_rpc_xdr.c, src/lib/rpc/auth_gssapi_misc.c.
    - CVE-2014-9421
  * SECURITY UPDATE: impersonation attack via two-component server
    principals
    - debian/patches/CVE-2014-9422.patch: fix kadmind server validation in
      src/kadmin/server/kadm_rpc_svc.c.
    - CVE-2014-9422
  * SECURITY UPDATE: gssrpc data leakage
    - debian/patches/CVE-2014-9423.patch: fix leakage in
      src/lib/gssapi/mechglue/mglueP.h, src/lib/rpc/svc_auth_gss.c.
    - CVE-2014-9423

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Feb 2015 15:26:22 -0500

krb5 (1.12+dfsg-2ubuntu5) trusty; urgency=low

  * Use ADD_METHOD_NOLOOP rather than ADD_METHOD for new GSS-API entry
    points, avoids infinite recursive loop when a mechanism doesn't
    provide an entry point and does include  calls back into the mechglue
    (LP: #1326500)
  * Make libkadm5srv-mit8 be arch: any multi-arch: same to work around
    upgrade bug (LP: #1334052)
  * Use tailq macros to work around GCC 4.8 optimizer bug and prevent
    infinite loop for database propagation (LP: #1347147)

 -- Sam Hartman <hartmans@debian.org>  Wed, 30 Jul 2014 21:06:49 -0400

krb5 (1.12+dfsg-2ubuntu4.2) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via invalid tokens
    - debian/patches/CVE-2014-4341-4342.patch: handle invalid tokens in
      src/lib/gssapi/krb5/k5unseal.c, src/lib/gssapi/krb5/k5unsealiov.c.
    - CVE-2014-4341
    - CVE-2014-4342
  * SECURITY UPDATE: denial of service via double-free in SPNEGO
    - debian/patches/CVE-2014-4343.patch: fix double-free in
      src/lib/gssapi/spnego/spnego_mech.c.
    - CVE-2014-4343
  * SECURITY UPDATE: denial of service via null deref in SPNEGO acceptor
    - debian/patches/CVE-2014-4344.patch: validate REMAIN in
      src/lib/gssapi/spnego/spnego_mech.c.
    - CVE-2014-4344
  * SECURITY UPDATE: denial of service and possible code execution in
    kadmind with LDAP backend
    - debian/patches/CVE-2014-4345.patch: fix off-by-one in
      src/plugins/kdb/ldap/libkdb_ldap/ldap_principal2.c
    - CVE-2014-4345

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Aug 2014 14:58:49 -0400
